# Returns a list of messages.

Endpoint: GET /v1/message_export
Version: 1.0.0
Security: BearerAuth

## Query parameters:

  - `created_after` (string)
    Filter for conversations created after this date. Format should be yyyy-mm-dd or Unix timestamp in ms
    Example: "2022-01-01"

  - `created_before` (string)
    Filter for conversations created before this date. Format should be yyyy-mm-dd or Unix timestamp in ms
    Example: "1646151737080"

## Response 200 fields (application/json):

  - `id` (string)
    Id of the message

  - `csid` (integer)
    Id of the conversation the message belongs to

  - `created_at` (integer)
    Timestamp of when the message was created

  - `initial_channel` (string)
    The channel through which the communication was established
    Example: "widgetchat"

  - `author_name` (string)
    Name of the author of the message

  - `author_email` (string)
    Email of the author of the message

  - `direction` (string)
    Direction of the conversation
    Enum: "inbound", "outbound"

  - `text` (string)
    The full message text. Not relevant for PSTN phone and voicemail channels

  - `from_phone_number` (string)
    Phone number the conversation was initiated from. Relevant only for PTSN phone and voicemail channels

  - `to_phone_number` (string)
    Phone number the conversation was aimed for. Relevant only for PTSN phone and voicemail channels

  - `duration` (number)
    Length of the call/voicemail. Relevant only for PTSN phone and voicemail channels

  - `recording_url` (string)
    Link to the recording of the call. Relevant only for PTSN phone channel

  - `voicemail_url` (string)
    Link to the voicemail. Relevant only for voicemail channel

  - `to` (array)
    Email address(es) a conversation was aimed for. Relevant only for email and contact form channels

  - `from` (string)
    Email address a conversation was initiated from. Relevant only for email and contact form channels

  - `cc` (array)
    Email address(es) included in the email as CC. Relevant only for email channel

  - `bcc` (array)
    Email address(es) included in the email as BCC. Relevant only for email channel

  - `attached_files` (array)
    Link(s) to files that have been attached to the message. Relevant only for email and Facebook Messenger channel

  - `is_automated_message` (boolean)
    Whether a message has been generated automatically or by an agent. Relevant only for widget chat

  - `chat_input_question` (string)
    Input question initiating the conversation. Relevant only for widget chat
    Example: "How can we help?"

  - `chat_input_answer` (string)
    Input answer initiating the conversation. Relevant only for widget chat
    Example: "None of the above"

  - `chat_menu_text` (string)
    Menu text initiating the conversation. Relevant only for widget chat
    Example: "Please input your order number."

  - `form_submission` (object)
    Form submission associated with the message. Relevant only for Messenger and ContactForm channels
    Example: {"name":"John Doe","email":"johndoe@gmail.com","phone":"+4512345678"}


## Response 400 fields

## Response 401 fields

## Response 429 fields

## Response 5XX fields
